Package picard.vcf

## Class PairedVariantSubContextIterator.VcfTuple

- java.lang.Object
- - picard.vcf.PairedVariantSubContextIterator.VcfTuple

- Enclosing class:
    PairedVariantSubContextIterator

      public static class PairedVariantSubContextIterator.VcfTuple
      extends Object

  Little class to hold a pair of VariantContexts that are in sync with one another.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Optional<htsjdk.variant.variantcontext.VariantContext>` | `leftVariantContext` |
    `Optional<htsjdk.variant.variantcontext.VariantContext>` | `rightVariantContext` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### leftVariantContext

          public final Optional<htsjdk.variant.variantcontext.VariantContext> leftVariantContext

    - #### rightVariantContext

          public final Optional<htsjdk.variant.variantcontext.VariantContext> rightVariantContext